<?php

defined('HOSTCMS') || exit('HostCMS: access denied.');

abstract class Deliverystickers_File
{
	static public function factory($driver = 'pdf')
	{
		$driverClass = __CLASS__ . '_' . ucfirst($driver);

		return new $driverClass;
	}

	abstract public function write(Shop_Order_Model $oShopOrder, Deliverystickers_Parcel_Model $oDeliverystickersParcel);

	abstract public function save();
}